<style>
.i_conts{margin:30px auto; width:250px; border-top:2px dashed #ddd; margin-bottom:200px;}
.i_conts p{ color:#f60; padding:10px 0; text-align:center; }
.i_conts p.send{cursor:pointer;}
</style>
<div class="i_conts">
<form action="./" method="post" id="form1" name="form1">

<p>你QQ的第一位数：<input name="my_qq1" id="my_qq1" maxLength="1" value="" style="width:40px;font-size:15px;" onKeyUp="value=value.replace(/\D/g,'')" onafterpaste="value=value.replace(/\D/g,'')" /><span style="font-size:13px; margin-left:10px;">*数字</span></p>

<p>你QQ的第五位数：<input name="my_qq2" id="my_qq2" maxLength="1" value="" style="width:40px;font-size:15px;" onKeyUp="value=value.replace(/\D/g,'')" onafterpaste="value=value.replace(/\D/g,'')" /><span style="font-size:13px; margin-left:10px;">*数字</span></p>

<p>你QQ最后一位数：<input name="my_qq3" id="my_qq3" maxLength="1" value="" style="width:40px;font-size:15px;" onKeyUp="value=value.replace(/\D/g,'')" onafterpaste="value=value.replace(/\D/g,'')" /><span style="font-size:13px; margin-left:10px;">*数字</span></p>

</form>
<p class="send"><img src="http://app.qpic.cn/mblogpic/05f902135224a3463866/2000" width="160" height="32" alt="查看结果，并发送微博" title="查看结果，并发送微博" onclick="on_submit();" /></p>
</div>
<script>
function on_submit()
{
	if(document.getElementById('my_qq1').value=='')
	{
		alert('QQ的第一位数不能为空！');
		document.getElementById('my_qq1').focus();
		return false;
	}
	if(document.getElementById('my_qq2').value=='')
	{
		alert('QQ的第五位数不能为空！');
		document.getElementById('my_qq2').focus();
		return false;
	}
	if(document.getElementById('my_qq3').value=='')
	{
		alert('QQ的最后一位数不能为空！');
		document.getElementById('my_qq3').focus();
		return false;
	}
	var form1=document.getElementById('form1');
	form1.submit();
}

</script>